Skip to main content
Events

Get supported event types

Returns a list of all valid event types that clients can use when emitting events or creating subscriptions. These values are defined in the system's event registry.

GET
/event/types

This method requires the Events:GetTypes permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Response

application/json

List of available event types

itemsstring[]